using Microsoft.Extensions.Configuration;
using Siger.CommonUtil;
using Siger.Schedule.CncModule;
using System;
using System.IO;
using Xunit;

namespace Siger.UnitTest
{
    public class CncUnitTest
    {
        static CncUnitTest()
        {
            IConfiguration config = new ConfigurationBuilder()
                .AddJsonFile(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, @"appsettings.json"))
                .Build();
            ConfigFactory.InitConfigByContent(config);
        }


        [Fact]
        public void ProduceEfficiencyJobTest()
        {
            ProduceEfficiencyJobSchedule efficiencyJobSchedule = new ProduceEfficiencyJobSchedule();
            efficiencyJobSchedule.PreInit(null);
            efficiencyJobSchedule.Execute(null);
            efficiencyJobSchedule.AfterExecute(null);
        }
    }
}

